<template>
    <div>
        <b-navbar toggleable="lg" type="dark">
            <b-navbar-brand href="/">
                <b-img :src="brandImg" alt="Logo" class="img-fluid" id="logo" />
            </b-navbar-brand>
            <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>
            <b-collapse id="nav-collapse" is-nav>
                <b-navbar-nav id="nav-main" class="ml-5">
                    <b-nav-item href="/" :active="false" class="pr-3">Nosotros</b-nav-item>
                    <b-nav-item href="/productos" :active="false" class="pr-3">Productos</b-nav-item>
                    <b-nav-item href="/artistas" :active="false" class="pr-3">Artistas</b-nav-item>
                    <b-nav-item href="/como-comprar" :active="false" class="pr-3">Cómo comprar</b-nav-item>
                    <!--<b-nav-item href="/" :active="false" class="pr-3">CARRITO (2)</b-nav-item>-->
                    <b-nav-item class="ml-5"></b-nav-item>
                    <b-nav-item :href="fbProfileUrl" target="_blank" style="font-size: 1.5em;"><fa-icon :icon="['fab', 'facebook-square']" size="1x" /></b-nav-item>
                    <b-nav-item :href="igProfileUrl" target="_blank" style="font-size: 1.5em;"><fa-icon :icon="['fab', 'instagram']" size="1x" /></b-nav-item>
                </b-navbar-nav>
            </b-collapse>
        </b-navbar>
    </div>
</template>

<style lang="scss" scoped>
    #logo {
        max-width: 150px;
    }
    button {
        &:focus {
            border: none;
            outline: none;
        }
    }
</style>

<style lang="scss">
    .navbar, .navbar-brand {
        padding-left: 0;
    }
</style>

<script>
    import { BNavbar, BNavbarBrand, BNavbarToggle, BCollapse, BNavbarNav, BNavItem, BImg } from 'bootstrap-vue'
    import { library } from '@fortawesome/fontawesome-svg-core'
    import { faFacebookSquare, faInstagram } from '@fortawesome/free-brands-svg-icons'
    import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome'

    library.add([faFacebookSquare, faInstagram])

    export default {
        props: {
            brandImg: {
                type: String,
                required: true
            },
            igProfileUrl: {
                type: String,
                required: true
            },
            fbProfileUrl: {
                type: String,
                required: true
            }
        },
        components: {
            'b-navbar': BNavbar,
            'b-navbar-brand': BNavbarBrand,
            'b-navbar-toggle': BNavbarToggle,
            'b-collapse': BCollapse,
            'b-navbar-nav': BNavbarNav,
            'b-nav-item': BNavItem,
            'b-img': BImg,
            'fa-icon': FontAwesomeIcon
        }
    }
</script>
